// app.js
App({
  onLaunch: function () {
    if (!wx.cloud) {
      console.error('请使用 2.2.3 或以上的基础库以使用云能力');
    } else {
      wx.cloud.init({
        // env 参数说明：
        //   env 参数决定接下来小程序发起的云开发调用（wx.cloud.xxx）会默认请求到哪个云环境的资源
        //   此处请填入环境 ID, 环境 ID 可打开云控制台查看
        //   如不填则使用默认环境（第一个创建的环境）
        // env: 'my-env-id',
        traceUser: true,
      });
    }

    this.globalData = {};
  },
  getUserProfile() {
    return new Promise((resolve,reject)=>{
      wx.getUserProfile({
        desc: '展示用户信息', // 声明获取用户个人信息后的用途，后续会展示在弹窗中，请谨慎填写
        success: (file) => {
          console.log(file)
          console.log("file.userInfo",file.userInfo)
          this.globalData.userInfo = file.userInfo
          this.globalData.isLoad = true
          resolve(this.globalData.userInfo);
          // that.setData({
          //     userInfo:file.userInfo,
          //     isLoad:true
          // })
          // console.log(that.globalData.userInfo)
          wx.login({
            success: (res) => {
              console.log(res);
              wx.request({
                url: 'code获取openid的接口',
                data: {
                  code: res.code
                },
                success: (open) => {
                  console.log(open.data);
                  wx.request({
                    url: '授权登陆接口',
                    data: {
                      openid: open.data.openid,
                      NickName: file.userInfo.nickName,
                      HeadUrl: file.userInfo.avatarUrl
                    },
                    success(data) {
                      console.log(data.data);
                    }
                  })
                }
              })
            }
          })
        }
      })
    })
  },

  exit: function () {
    return new Promise((resolve,reject)=>{
    console.log("exit successed")
    this.globalData.isLoad = false
    this.globalData.userInfo = {}
    // that.setData({
    //     userInfo:{},
    //     isLoad:false
    // })
    resolve(this.globalData.userInfo)
    })
    
}
});
